Bug 1571130 - python2-lz4: missing dependency on python2-future
Summary: python2-lz4: missing dependency on python2-future
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-lz4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 07:25 UTC by Tomas Hoger
Modified: 2018-05-07 23:24 UTC (History)
2 users (show)

Fixed In Version: python-lz4-1.1.0-2.fc26 python-lz4-1.1.0-2.fc28 python-lz4-1.1.0-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 20:52:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Hoger 2018-04-24 07:25:09 UTC
Description of problem:

python2-lz4 seems to need to require python2-future, otherwise:

$ python 
Python 2.7.14 (default, Mar 14 2018, 13:29:26) 
[GCC 7.3.1 20180130 (Red Hat 7.3.1-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import lz4.frame
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/lz4/frame/__init__.py", line 4, in <module>
    import builtins
ImportError: No module named builtins
>>> 

Installing python2-future solves the problem.  Not an issue for python3-lz4.

Comment 1 Jonathan Underwood 2018-04-28 08:31:01 UTC
That is weird. Both python2-lz4 and python3-lz4 are listed as BuildRequires in the spec, and so the automatic python dependency generator should be creating a Requires for both.

Can you confirm the Fedora version and the python-lz4 package version please? As a side note - please always include the information requested in the bug reporting template.

Comment 2 Fedora Update System 2018-04-28 09:07:14 UTC
python-lz4-1.1.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f0f404fa98

Comment 3 Fedora Update System 2018-04-28 09:07:23 UTC
python-lz4-1.1.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e987a5056b

Comment 4 Fedora Update System 2018-04-28 09:07:29 UTC
python-lz4-1.1.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5422576142

Comment 5 Fedora Update System 2018-04-28 22:38:05 UTC
python-lz4-1.1.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e987a5056b

Comment 6 Fedora Update System 2018-04-29 09:41:43 UTC
python-lz4-1.1.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5422576142

Comment 7 Fedora Update System 2018-04-29 14:29:34 UTC
python-lz4-1.1.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f0f404fa98

Comment 8 Tomas Hoger 2018-05-02 07:21:19 UTC
It was first noticed with F26, but I checked that all current Fedora versions are in sync, and there's no python2-future requirement even in Rawhide version, hence the report was not made too version specific.

Comment 9 Fedora Update System 2018-05-07 20:52:22 UTC
python-lz4-1.1.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-07 20:54:56 UTC
python-lz4-1.1.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-07 23:24:27 UTC
python-lz4-1.1.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.